Skip to content

ML Prep API (v1)

Download OpenAPI description
Languages
Servers
Mock server

http://{{your_prep_ip_address}}/

Authenticate

Operations

Backups

Operations

Calibration

Operations

Camera

Operations

Configuration

Operations

Credentials

Operations

Deck

Operations

Diagnostics

Operations

Enclosure

Operations

Environment

Operations

Errors

Operations

HepaUv

Operations

Instruments

Operations

Labware

Operations

LabwareCategories

Operations

LabwareSignature

Operations

Lighting

Operations

LiquidClass

Operations

Maintenance

Operations

NetworkConfiguration

Operations

Power

Operations

ProtocolRun

Operations

Get the simulation speed

Request

Security
Bearer
curl -i -X GET \
  'http://{{your_prep_ip_address}}/api/v1/protocol-run/simulation-speed' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>'

Responses

The simulation speed

Bodyapplication/json
simulationSpeedstring or null

The desired simulation speed, options are Slow, Normal, Fast, VeryFast, Ludicrous, Unknown

Response
application/json
{ "simulationSpeed": "string" }

Update the simulation speed

Request

Security
Bearer
Bodyapplication/json
simulationSpeedstring or null

The desired simulation speed, options are Slow, Normal, Fast, VeryFast, Ludicrous, Unknown

curl -i -X PUT \
  'http://{{your_prep_ip_address}}/api/v1/protocol-run/simulation-speed' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>' \
  -H 'Content-Type: application/json' \
  -d '{
    "simulationSpeed": "string"
  }'

Responses

The simulation speed was updated successfully

Response
No content

Retrieve the load instructions

Request

Load instructions are only returned if RunState = 'Loading'

Security
Bearer
curl -i -X GET \
  'http://{{your_prep_ip_address}}/api/v1/protocol-run/load-instructions' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>'

Responses

The loading instructions for each deck position

Bodyapplication/jsonArray [
One of:

Deck position information

positionNamestring or null

The deck position name

deckPositioninteger(int32)

The numbered deck position on the ML Prep

labwarePositioninteger(int32)

The position of the labware within a carrier

labwareClassificationinteger(int32)(LabwareClassification)
Enum"Unknown""Plate""SampleTube""TubeRack""Trough""TipRack""Carrier""MicroTubeRack""MicroTube""Container"
]
Response
application/json
[ { "positionName": "string", "deckPosition": 0, "labwarePosition": 0, "labwareClassification": "Unknown" } ]

Protocols

Operations

ProtocolSteps

Operations

ProtocolSupport

Operations

ProtocolVerification

Operations

Repair

Operations

Report

Operations

Roles

Operations

RunData

Operations

Screenshots

Operations

ServiceSoftwareApi

Operations

Settings

Operations

SoftwareVersions

Operations

SystemReady

Operations

SystemTime

Operations

ThermalDevice

Operations

Traces

Operations

UserKba

Operations

Users

Operations

Verification

Operations

VerificationResult

Operations